Rpm install logstash but while start it error!


(程志远) #1

[root@ESK01 logstash]# ./bin/plugin install logstash-input-beats
Validating logstash-input-beats
ERROR: Installation aborted, verification failed for logstash-input-beats
start logstash that log report error:
[root@ESK01 logstash]# tail -f -n 10 /var/log/logstash/logstash.log

{:timestamp=>"2016-01-15T18:16:09.799000+0800", :message=>"Beats input: unhandled exception", :exception=>#<RuntimeError: unsupported protocol 72>, :backtrace=>["/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/lumberjack/beats/server.rb:225:in handle_version'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/lumberjack/beats/server.rb:210:inheader'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/lumberjack/beats/server.rb:163:in feed'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/lumberjack/beats/server.rb:342:inread_socket'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/lumberjack/beats/server.rb:319:in run'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/logstash-input-beats-2.0.3/lib/logstash/inputs/beats.rb:184:ininvoke'", "org/jruby/RubyProc.java:281:in call'", "/opt/logstash/vendor/bundle/jruby/1.9/gems/concurrent-ruby-0.9.2-java/lib/concurrent/executor/executor_service.rb:515:inrun'", "Concurrent$$JavaExecutorService$$Job_754842357.gen:13:in `run'"], :level=>:error}


(Mark Walkom) #2

What LS version.


(程志远) #3

oh I'm sorry it is my own problem I don't have pointed to filebeat logstash, logstash listening on port 5044 But have not received any data.May be because of this error.I modified filebeat configuration file and point to logstash after problem solved.I am logstash version 2.1.1.


(程志远) #4

Logstash - input - beats plug-in seems to be installed by default.By way of RPM.


(system) #5